Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
Argus::NamedUUID Class Reference

A unique identifier with a name (primarily for debugging purposes). More...

`#include <UUID.h>`

Inheritance diagram for Argus::NamedUUID:

List of all members.

## Public Member Functions

| NamedUUID (uint32_t time_low_, uint16_t time_mid_, uint16_t time_hi_and_version_, uint16_t clock_seq_, uint8_t c0, uint8_t c1, uint8_t c2, uint8_t c3, uint8_t c4, uint8_t c5, const char *name)
| NamedUUID (const NamedUUID &copied)
NamedUUID & | operator= (const NamedUUID &copied)
bool | operator== (const NamedUUID &compared) const
bool | operator!= (const NamedUUID &compared) const
const char * | getName () const

## Private Member Functions

| NamedUUID ()

## Private Attributes

char | m_name [MAX_UUID_NAME_SIZE]

## Additional Inherited Members

Public Attributes inherited from Argus::UUID
uint32_t | time_low
uint16_t | time_mid
uint16_t | time_hi_and_version
uint16_t | clock_seq
uint8_t | node [6]

## Detailed Description

A unique identifier with a name (primarily for debugging purposes).

Definition at line 63 of file UUID.h.

## Constructor & Destructor Documentation

Argus::NamedUUID::NamedUUID | ( | uint32_t | time_low_,
|  | uint16_t | time_mid_,
|  | uint16_t | time_hi_and_version_,
|  | uint16_t | clock_seq_,
|  | uint8_t | c0,
|  | uint8_t | c1,
|  | uint8_t | c2,
|  | uint8_t | c3,
|  | uint8_t | c4,
|  | uint8_t | c5,
|  | const char * | name
| ) |  |

inline

Definition at line 66 of file UUID.h.

Argus::NamedUUID::NamedUUID | ( | const NamedUUID & | copied | ) |

inline

Definition at line 81 of file UUID.h.

Argus::NamedUUID::NamedUUID | ( |  | ) |

private

## Member Function Documentation

const char* Argus::NamedUUID::getName | ( |  | ) | const

inline

Definition at line 104 of file UUID.h.

bool Argus::NamedUUID::operator!= | ( | const NamedUUID & | compared | ) | const

inline

Definition at line 99 of file UUID.h.

NamedUUID& Argus::NamedUUID::operator= | ( | const NamedUUID & | copied | ) |

inline

Definition at line 87 of file UUID.h.

bool Argus::NamedUUID::operator== | ( | const NamedUUID & | compared | ) | const

inline

Definition at line 94 of file UUID.h.

## Member Data Documentation

char Argus::NamedUUID::m_name[MAX_UUID_NAME_SIZE]

private

Definition at line 107 of file UUID.h.

The documentation for this class was generated from the following file:

- include/Argus/UUID.h